TESTING/LIN/crzt02.f(3)

NAME
TESTING/LIN/crzt02.f

SYNOPSIS

  Functions/Subroutines
real function crzt02 (m, n, af, lda, tau, work, lwork)
CRZT02

Function/Subroutine Documentation

  real function crzt02 (integer m, integer n, complex, dimension( lda, * ) af, integer lda, complex, dimension( * ) tau, complex, dimension( lwork ) work, integer lwork)

CRZT02

Purpose:

     CRZT02 returns
          || I - Q'*Q || / ( M * eps)
     where the matrix Q is defined by the Householder transformations
     generated by CTZRZF.

Parameters
    M

              M is INTEGER
              The number of rows of the matrix AF.

    N

              N is INTEGER
              The number of columns of the matrix AF.

    AF

              AF is COMPLEX array, dimension (LDA,N)
              The output of CTZRZF.

    LDA

              LDA is INTEGER
              The leading dimension of the array AF.

    TAU

              TAU is COMPLEX array, dimension (M)
              Details of the Householder transformations as returned by
              CTZRZF.

    WORK

              WORK is COMPLEX array, dimension (LWORK)

    LWORK

              LWORK is INTEGER
              Length of WORK array. LWORK >= N*N+N.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 89 of file crzt02.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.